import { LedController } from './LedController';
import { RgbColor } from './types/RgbColor';
export declare abstract class Display {
    protected ledController: LedController;
    protected startIndex: number;
    protected amountOfLeds: number;
    protected color: RgbColor;
    protected lastColor: RgbColor;
    protected isOn: boolean;
    private isBlinking;
    private blinkDuration;
    private blinkCallback;
    constructor(ledController: LedController, startIndex: number, amountOfLeds: number);
    on(color?: RgbColor): void;
    off(): void;
    setColor(color: RgbColor): void;
    startBlinking(ms?: number, blinkCallback?: Function): void;
    stopBlinking(): void;
    render(): Promise<void>;
    protected abstract turnBackOn(): void;
    private blinkOn;
    private blinkOff;
}
//# sourceMappingURL=Display.d.ts.map