"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.LedController = void 0;
const ws2801_pi_1 = __importDefault(require("ws2801-pi"));
class LedController {
    constructor(amountOfLeds) {
        this.controller = new ws2801_pi_1.default(amountOfLeds);
    }
    setLeds(startIndex, amountOfLeds, color) {
        for (let index = 0; index < amountOfLeds; index++) {
            const ledIndex = startIndex + index;
            this.controller.setLed(ledIndex, color);
        }
    }
    clearLeds(startIndex, amountOfLeds) {
        for (let index = 0; index < amountOfLeds; index++) {
            const ledIndex = startIndex + index;
            const black = {
                red: 0,
                green: 0,
                blue: 0,
            };
            this.controller.setLed(ledIndex, black);
        }
    }
    render() {
        return this.controller.show();
    }
}
exports.LedController = LedController;
//# sourceMappingURL=LedController.js.map