"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NumberDisplay = void 0;
const SevenSegmentDisplay_1 = require("./SevenSegmentDisplay");
class NumberDisplay extends SevenSegmentDisplay_1.SevenSegmentDisplay {
    constructor(ledController, startIndex, amountOfLedsPerSegment) {
        super(ledController, startIndex, amountOfLedsPerSegment);
    }
    displayNumber(numberToDisplay, color) {
        this.off();
        switch (numberToDisplay) {
            case 0:
                this.showSegments([0, 1, 2, 4, 5, 6], color);
                break;
            case 1:
                this.showSegments([2, 6], color);
                break;
            case 2:
                this.showSegments([1, 2, 3, 4, 5], color);
                break;
            case 3:
                this.showSegments([1, 2, 3, 5, 6], color);
                break;
            case 4:
                this.showSegments([0, 2, 3, 6], color);
                break;
            case 5:
                this.showSegments([0, 1, 3, 5, 6], color);
                break;
            case 6:
                this.showSegments([0, 1, 3, 4, 5, 6], color);
                break;
            case 7:
                this.showSegments([1, 2, 6], color);
                break;
            case 8:
                this.showSegments([0, 1, 2, 3, 4, 5, 6], color);
                break;
            case 9:
                this.showSegments([0, 1, 2, 3, 5, 6], color);
                break;
            default:
                throw new Error(`Error: Only numbers between 0 and 9 can be displayed. ${numberToDisplay} is not between 0 and 9.`);
        }
    }
}
exports.NumberDisplay = NumberDisplay;
//# sourceMappingURL=NumberDisplay.js.map